"""
utilitaires créole
"""
import unicodedata


# définition des classes d'adresse IP existantes
def normalize_family(family_name, check_name=True):
    """
    il ne faut pas d'espace, d'accent, de majuscule, de tiré, ...
    dans le nom des familles
    """
    f = family_name
    f = f.replace('-', '_')
    #f = f.replace(u'é', 'e')
    #f = f.replace(u'è', 'e')
    nfkd_form = unicodedata.normalize('NFKD', f)
    f = u"".join([c for c in nfkd_form if not unicodedata.combining(c)])
    f = f.replace(' ', '_')
    f = f.lower()
    if f[0].isnumeric():
        raise ValueError(u'Le nom de la famille ne doit pas commencer par un chiffre : {0}'.format(f))
    if check_name and f == 'containers':
        raise ValueError(u'nom de la famille interdit {0}'.format(f))
    return f

